Skip to main content
GET
/
open-banking
/
v1
/
payments
/
{payment-product}
/
{paymentId}
Get payment information
curl --request GET \
  --url https://api.example.com/open-banking/v1/payments/{payment-product}/{paymentId} \
  --header 'X-Request-ID: <x-request-id>'
{
  "endToEndIdentification": "Payment-123",
  "debtorName": "Max Mustermann",
  "debtorAccount": {
    "iban": "DE40100100103307118608",
    "bban": "1234567890",
    "pan": "5409050000000000",
    "maskedPan": "123456xxxxxx1234",
    "msisdn": "+49170123456",
    "currency": "EUR"
  },
  "instructedAmount": {
    "currency": "EUR",
    "amount": "123.50"
  },
  "creditorAccount": {
    "iban": "DE40100100103307118608",
    "bban": "1234567890",
    "pan": "5409050000000000",
    "maskedPan": "123456xxxxxx1234",
    "msisdn": "+49170123456",
    "currency": "EUR"
  },
  "creditorAgent": "DEUTDEDBFRA",
  "creditorName": "Merchant AG",
  "creditorAddress": {
    "country": "DE",
    "department": "Finance Department",
    "subDepartment": "Accounting Unit",
    "streetName": "Hauptstrasse",
    "buildingNumber": "42",
    "buildingName": "Tower A",
    "floor": "3",
    "postBox": "PO Box 123",
    "room": "301",
    "postCode": "60311",
    "townName": "Frankfurt am Main",
    "townLocationName": "Sachsenhausen",
    "districtName": "Bayern",
    "countrySubDivision": "Hessen"
  },
  "remittanceInformationUnstructured": "Ref Number Merchant",
  "requestedExecutionDate": "2025-12-01",
  "transactionStatus": "ACTC"
}

Headers

X-Request-ID
string
required

ID of the request, unique to the call, as determined by the initiating party

Path Parameters

payment-product
string
required

The addressed payment product

paymentId
string
required

Resource identification of the payment initiation

Response

Payment details successfully retrieved

endToEndIdentification
string | null

End-to-end identification of the payment

Example:

"Payment-123"

debtorName
string | null

Name of the debtor, as enriched by the ASPSP

Example:

"Max Mustermann"

debtorAccount
object

Debtor account reference

instructedAmount
object

Amount to be transferred

creditorAccount
object

Creditor account reference

creditorAgent
string | null

BIC of the creditor agent

Example:

"DEUTDEDBFRA"

creditorName
string | null

Name of the creditor

Example:

"Merchant AG"

creditorAddress
object

Address of the creditor

remittanceInformationUnstructured
string | null

Unstructured remittance information

Example:

"Ref Number Merchant"

requestedExecutionDate
string | null

Requested execution date in ISODate format

Example:

"2025-12-01"

transactionStatus
enum<string> | null

ISO 20022 transaction status

Available options:
ACCC,
ACCP,
ACSC,
ACSP,
ACTC,
ACWC,
ACWP,
RCVD,
PDNG,
RJCT,
CANC,
ACFC,
PATC,
PART,
RVCM,
RVNC,
RCVC
Example:

"ACTC"

Last modified on April 17, 2026